> ## Documentation Index
> Fetch the complete documentation index at: https://docs.relay.link/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Execution Status

> This API returns current status of intent.

<Warning>Please use [Get Execution Status v2](/references/api/get-intents-status-v3) as this is deprecated</Warning>


## OpenAPI

````yaml get /intents/status
openapi: 3.0.3
info:
  title: Cross-chain solver
  version: 1.0.0
servers:
  - url: https://api.relay.link
    description: Mainnet API
  - url: https://api.testnets.relay.link
    description: Testnet API
security: []
paths:
  /intents/status:
    get:
      parameters:
        - schema:
            type: string
          in: query
          name: requestId
          required: false
          description: >-
            A unique id representing the execution in the Relay system. You can
            obtain this id from the requests api or the check object within the
            step items.
      responses:
        '200':
          description: Default Response
          content:
            application/json:
              schema:
                type: object
                example:
                  status: success
                  inTxHashes:
                    - >-
                      0xe53021eaa63d100b08338197d26953e2219bcbad828267dd936c549ff643aad7
                  txHashes:
                    - >-
                      0x9da7bc54dfe6229d6980fd62250d472f23dfe0f41a1cdc870c81a08b3445f254
                  time: 1713290386145
                  originChainId: 7777777
                  destinationChainId: 8453
                properties:
                  status:
                    type: string
                    enum:
                      - failure
                      - fallback
                      - pending
                      - received
                      - success
                    description: Note that fallback is returned in the case of a refund
                  details:
                    type: string
                  inTxHashes:
                    type: array
                    description: Incoming transaction hashes
                    items:
                      type: string
                  txHashes:
                    type: array
                    description: Outgoing transaction hashes
                    items:
                      type: string
                  time:
                    type: number
                    description: The last timestamp the data was updated
                  originChainId:
                    type: number
                  destinationChainId:
                    type: number

````